Debian Bug report logs - #528143
Add multiarch support

version graph

Package: bzip2; Maintainer for bzip2 is Anibal Monsalve Salazar <anibal@debian.org>; Source for bzip2 is src:bzip2.

Reported by: Goswin Brederlow <goswin-v-b@web.de>

Date: Mon, 11 May 2009 02:09:01 UTC

Severity: wishlist

Tags: patch

Found in version bzip2/1.0.5-1

Fixed in version bzip2/1.0.5-7

Done: Anibal Monsalve Salazar <anibal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#528143; Package bzip2. (Mon, 11 May 2009 02:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin Brederlow <goswin-v-b@web.de>:
New Bug report received and forwarded. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Mon, 11 May 2009 02:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Goswin Brederlow <goswin-v-b@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Add multiarch support
Date: Mon, 11 May 2009 04:07:40 +0200
[Message part 1 (text/plain, inline)]
Package: bzip2
Version: 1.0.5-1
Severity: wishlist
Tags: patch

Hi,

the attached patch moves libraries to multiarch directories and sets
the Multi-Arch field for packages.

MfG
	Goswin

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable-i386
  APT policy: (500, 'unstable-i386'), (500, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22.2-mrvn
Locale: LANG=C, LC_CTYPE=de_DE (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages bzip2 depends on:
ii  libbz2-1.0                    1.0.5-1    high-quality block-sorting file co
ii  libc6                         2.9-12     GNU C Library: Shared libraries

bzip2 recommends no packages.

Versions of packages bzip2 suggests:
pn  bzip2-doc                     <none>     (no description available)

-- no debconf information
[bzip2-multiarch.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#528143; Package bzip2. (Mon, 11 May 2009 21:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Mon, 11 May 2009 21:39:07 GMT) Full text and rfc822 format available.

Message #10 received at 528143@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 528205@bugs.debian.org, 528140@bugs.debian.org, 528143@bugs.debian.org, 528194@bugs.debian.org, 528198@bugs.debian.org, 528141@bugs.debian.org
Cc: Goswin von Brederlow <goswin-v-b@web.de>
Subject: Bug reports with patches for multiarch support
Date: Mon, 11 May 2009 23:34:55 +0200
Hi!

There's not yet a multiarch spec, and dpkg does not support multiarch
in any form. We are working on it. The multiarch paths are something
to be considered pretty stable, but not the new control field. Also
some of the patches do not seem right, as they change upstream files
to use DEB_*_GNU_TYPE directly.

So, maintainers, please do not apply any of these patches yet, at least
until we have some form of draft of the spec, or better yet until dpkg
does actually support multiarch.

thanks,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#528143; Package bzip2. (Tue, 12 May 2009 03:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Tue, 12 May 2009 03:03:04 GMT) Full text and rfc822 format available.

Message #15 received at 528143@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Guillem Jover <guillem@debian.org>
Cc: 528205@bugs.debian.org, 528140@bugs.debian.org, 528143@bugs.debian.org, 528194@bugs.debian.org, 528198@bugs.debian.org, 528141@bugs.debian.org
Subject: Re: Bug reports with patches for multiarch support
Date: Tue, 12 May 2009 04:57:00 +0200
Guillem Jover <guillem@debian.org> writes:

> Hi!
>
> There's not yet a multiarch spec, and dpkg does not support multiarch
> in any form. We are working on it. The multiarch paths are something
> to be considered pretty stable, but not the new control field. Also
> some of the patches do not seem right, as they change upstream files
> to use DEB_*_GNU_TYPE directly.
>
> So, maintainers, please do not apply any of these patches yet, at least
> until we have some form of draft of the spec, or better yet until dpkg
> does actually support multiarch.
>
> thanks,
> guillem

Taking this to debian-dpkg for another round of discussion that will
not change anything on the 5 year old multirach proposal. The
multiarch proposal has not changed in the last 5 years going through 3
debconf talks and test implementations.

The design is such that multiarch packages remain 100% compatible to
even oldstable. If anything breaks that is a bug in the patch then and
needs to be rectified. So please do already test the patches even if
you don't want to upload them yet.

MfG
        Goswin




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#528143; Package bzip2. (Fri, 12 Feb 2010 22:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Fri, 12 Feb 2010 22:45:02 GMT) Full text and rfc822 format available.

Message #20 received at 528143@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 528143@bugs.debian.org
Subject: Re: Bug #528143: add multiarch support
Date: Fri, 12 Feb 2010 22:42:03 +0000
[Message part 1 (text/plain, inline)]
Hi,
I've updated Goswin's patch for the current version of bzip2. It seems to be
OK with minor changes (Multi-Arch: yes -> Multi-Arch: same). However, I'm
waiting for feedback from debian-devel/debian-policy on a simpler library
package (libgfshare) in order to clarify what is and isn't allowed in current
Policy, so please don't upload right now...

The patch is attached, and is also available in a git repository here:

http://git.debian.org/?p=users/smcv/multiarch/bzip2.git;a=shortlog;h=refs/heads/multiarch

Regards,
    Simon
[bzip2-multiarch.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#528143; Package bzip2. (Tue, 11 Jan 2011 22:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Pearse <peter.pearse@linaro.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Tue, 11 Jan 2011 22:00:03 GMT) Full text and rfc822 format available.

Message #25 received at 528143@bugs.debian.org (full text, mbox):

From: Peter Pearse <peter.pearse@linaro.org>
To: 528143@bugs.debian.org
Subject: bzip2: Add multiarch support
Date: Tue, 11 Jan 2011 14:57:50 -0700
DEBSTRIP needs to be adjusted to the host target strip i.e.
$(DEB_HOST_GNU_TYPE)-strip.

-- System Information:
Debian Release: squeeze/sid
  APT prefers maverick-updates
  APT policy: (500, 'maverick-updates'), (500, 'maverick-security'),
(500, 'maverick-proposed'), (500, 'maverick-backports'), (500,
'maverick')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35-24-generic (SMP w/4 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages bzip2 depends on:
ii  libbz2-1.0              1.0.5-4ubuntu1   high-quality block-sorting file co
ii  libc6                   2.12.1-0ubuntu10 Embedded GNU C Library: Shared lib

bzip2 recommends no packages.

Versions of packages bzip2 suggests:
pn  bzip2-doc                     <none>     (no description available)

-- no debconf information
~




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#528143; Package bzip2. (Mon, 15 Aug 2011 13:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Mon, 15 Aug 2011 13:12:07 GMT) Full text and rfc822 format available.

Message #30 received at 528143@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 528143@bugs.debian.org
Cc: control@bugs.debian.org, anibal@debian.org
Subject: update multiarch patch
Date: Mon, 15 Aug 2011 16:09:39 +0300
[Message part 1 (text/plain, inline)]
user debian-dpkg@lists.debian.org
usertag 528143 + multiarch
thanks

The attached patch updates makes rules use DEB_HOST_MULTIARCH, build-depends on
dpkg-dev new enough to support that, and changes -dev package to M-A: same and
bzip2 to multiarch: foreign.

libbz2 also Pre-Depends: multiarch-support to ensure smooth transition.

Since the package bzip2 appears essentially unmaintained, I shall NMU this next
week to delayed-7 unless I get some objections.

Cheers,
Riku

[bzip2-multiarch.patch (text/x-diff, attachment)]

Reply sent to Anibal Monsalve Salazar <anibal@debian.org>:
You have taken responsibility. (Sun, 04 Sep 2011 06:51:06 GMT) Full text and rfc822 format available.

Notification sent to Goswin Brederlow <goswin-v-b@web.de>:
Bug acknowledged by developer. (Sun, 04 Sep 2011 06:51:06 GMT) Full text and rfc822 format available.

Message #35 received at 528143-close@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@debian.org>
To: 528143-close@bugs.debian.org
Subject: Bug#528143: fixed in bzip2 1.0.5-7
Date: Sun, 04 Sep 2011 06:47:13 +0000
Source: bzip2
Source-Version: 1.0.5-7

We believe that the bug you reported is fixed in the latest version of
bzip2, which is due to be installed in the Debian FTP archive:

bzip2-doc_1.0.5-7_all.deb
  to main/b/bzip2/bzip2-doc_1.0.5-7_all.deb
bzip2_1.0.5-7.diff.gz
  to main/b/bzip2/bzip2_1.0.5-7.diff.gz
bzip2_1.0.5-7.dsc
  to main/b/bzip2/bzip2_1.0.5-7.dsc
bzip2_1.0.5-7_mipsel.deb
  to main/b/bzip2/bzip2_1.0.5-7_mipsel.deb
libbz2-1.0_1.0.5-7_mipsel.deb
  to main/b/bzip2/libbz2-1.0_1.0.5-7_mipsel.deb
libbz2-dev_1.0.5-7_mipsel.deb
  to main/b/bzip2/libbz2-dev_1.0.5-7_mipsel.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 528143@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anibal Monsalve Salazar <anibal@debian.org> (supplier of updated bzip2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 04 Sep 2011 14:36:41 +1000
Source: bzip2
Binary: libbz2-1.0 libbz2-dev bzip2 lib64bz2-1.0 lib64bz2-dev lib32bz2-1.0 lib32bz2-dev bzip2-doc
Architecture: source all mipsel
Version: 1.0.5-7
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Anibal Monsalve Salazar <anibal@debian.org>
Description: 
 bzip2      - high-quality block-sorting file compressor - utilities
 bzip2-doc  - high-quality block-sorting file compressor - documentation
 lib32bz2-1.0 - high-quality block-sorting file compressor library - 32bit runtim
 lib32bz2-dev - high-quality block-sorting file compressor library - 32bit develo
 lib64bz2-1.0 - high-quality block-sorting file compressor library - 64bit runtim
 lib64bz2-dev - high-quality block-sorting file compressor library - 64bit develo
 libbz2-1.0 - high-quality block-sorting file compressor library - runtime
 libbz2-dev - high-quality block-sorting file compressor library - development
Closes: 528143
Changes: 
 bzip2 (1.0.5-7) unstable; urgency=low
 .
   [ Riku Voipio ]
   * multiarchize, closes: #528143
   * from Colin watson:
     lib32bz2-1.0 only pre-depends on libc6-i386 on amd64; that
     pre-dependency is nonsensical on ppc64.
 .
   [ Anibal Monsalve Salazar ]
   * Standards-Version is 3.9.2
   * Fix debian-rules-missing-recommended-target
   * Fix maintainer-script-empty
   * Fix copyright-refers-to-versionless-license-file
   * Fix info-document-missing-dir-section
   * Fix missing-dependency-on-install-info
   * Fix prerm-has-useless-call-to-install-docs
   * Fix install-info-used-in-maintainer-script
Checksums-Sha1: 
 474aae794ad31ffadbefc7f378f5af753abd45f7 2085 bzip2_1.0.5-7.dsc
 a7c52a8682e4191fed43edc9f2cc2ffde6f5c12f 77108 bzip2_1.0.5-7.diff.gz
 3e77254efa04d4d0ca041f877e26d3319ab87e80 327882 bzip2-doc_1.0.5-7_all.deb
 3c53a0cf5d77159d917b8c909dfe91942bc919ac 49554 libbz2-1.0_1.0.5-7_mipsel.deb
 5f60b2e29deb05d53b2b76144729b792d143ab48 37864 libbz2-dev_1.0.5-7_mipsel.deb
 1337198ed854f6ea86d587259efac9ea149093a8 50416 bzip2_1.0.5-7_mipsel.deb
Checksums-Sha256: 
 996fb36111a5f9b7c26df0065b496afaeef9b10aadeef169c405330dbc732ace 2085 bzip2_1.0.5-7.dsc
 fd5dc5a1f00d3b4e28c1553e5bd52d439c549e50a4770991c5df926805343d6e 77108 bzip2_1.0.5-7.diff.gz
 87d335399d9432a238835ac68f6a29a858d2849a8ce3b66e3aaffb1094c35446 327882 bzip2-doc_1.0.5-7_all.deb
 2d37b1c150ec83da24c8a8e0155a29a76ffd0df9d28ca05b29897b85716d3ba4 49554 libbz2-1.0_1.0.5-7_mipsel.deb
 c32a5852250fc7b4873c4211152b37aa7e23cd6c741536ace44aaa607f4fb2d6 37864 libbz2-dev_1.0.5-7_mipsel.deb
 06887b999c3804f93535d8a5b85fa2ed83100f033352be42153d79fe6ef7c7e9 50416 bzip2_1.0.5-7_mipsel.deb
Files: 
 17e08b43bb41df696eb1d1fa2d0d6adf 2085 utils important bzip2_1.0.5-7.dsc
 cf4ff587fd51b2e8923ab64d20d48f9b 77108 utils important bzip2_1.0.5-7.diff.gz
 ad4000d2d8cb07c3b6e89466dd5db3eb 327882 doc optional bzip2-doc_1.0.5-7_all.deb
 c2e8986799742c54a040af5a8b5a7d26 49554 libs important libbz2-1.0_1.0.5-7_mipsel.deb
 6ad7c39b2ae74156a402f7019e8b125c 37864 libdevel optional libbz2-dev_1.0.5-7_mipsel.deb
 f0f6f5e5ffbc4770c7fc85f7028117eb 50416 utils optional bzip2_1.0.5-7_mipsel.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOYxtOAAoJEHxWrP6UeJfYbX4QAIzJYbkPHcEhxw0OVekM/p7K
gc86vYCWTRkjKJ8fjKdJX/F8896bHfFU0uOFQ8iICcgZLI3fkJLgem1lCP83lXPZ
h9Msvx8/AsKd7j2HquSIyZ1PfN4Kzo44ur/fe2gTKxZibFmnSTTdgWT5MtFuMEhY
yQtoDEJaXbAFIhEbmnM2cAjYGEx/rGvsrut7gzp9krKjWfRoCB5VxKYuCjULENfM
G3n4TtzLRFBZl5gClfJZjTmxs+mCe3TCwbWg938r7nIuB7WFcGJfz0P96iqIZQ1m
P7GFfqM7TCWJQTUS7NjE0R7frpRGiSC9gznA7lw6aAaKmF4zqMbMOlwQvl1MyXTH
c2u7uFxCwLSqOqiNIpsOlxT1CrSZdz9pS2bYt6Qnch1ShCMlBw6DTRr6+PkqI8/d
9G02PbJeYNYqa6POoLKshegSoLCeFvE02hqpvYwGC8q9lxEXDmpgLCloFtgTeWXi
erbxY9hR1GLCvUXzC/SO1udi7HcnFt6bx1FWLKiKbzNFQnYKpm9SjWwbPWDtTMMs
35coLNUlPsqMJf4Pf81CKujGT4jdrapZ3hV+fOeLL5qDsbnbhW4mEbPqfizkmRMf
IwS+pOQSAxDbT22eLe4lWwLvHqgHdFSmegd+zIuAfeNQ2fkGxNb02IWLZykU98LK
gWMsV86jTR79FGj+L+A6
=KoBc
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#528143; Package bzip2. (Sun, 04 Sep 2011 12:20:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregory hainaut <gregory.hainaut@gmail.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Sun, 04 Sep 2011 12:20:51 GMT) Full text and rfc822 format available.

Message #40 received at 528143@bugs.debian.org (full text, mbox):

From: gregory hainaut <gregory.hainaut@gmail.com>
To: 528143@bugs.debian.org
Cc: anibal@debian.org, riku.voipio@iki.fi
Subject: Re: update multiarch patch
Date: Sun, 4 Sep 2011 14:10:43 +0200
Hello,

There is a minor issue with the previous multiarch patch.
*** DPKG log
dpkg: error
processing /var/cache/apt/archives/libbz2-1.0_1.0.5-7_i386.deb
(--unpack): './usr/share/doc/libbz2-1.0/changelog.gz' is different from
the same file on the system
**** 

Extract of http://wiki.debian.org/Multiarch/Implementation
/!\ Note that any files in /usr/share or /etc must be byte-for-byte
identical across architectures, otherwise file conflicts will result!
This means, in particular, that any gzip-compressed files must be
compressed with -n to avoid embedded timestamps. 

So at least gzip command inside rule file must be updated.


Cheers,
Gregory




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#528143; Package bzip2. (Mon, 05 Sep 2011 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Mon, 05 Sep 2011 09:03:06 GMT) Full text and rfc822 format available.

Message #45 received at 528143@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: gregory hainaut <gregory.hainaut@gmail.com>
Cc: 528143@bugs.debian.org, anibal@debian.org, riku.voipio@iki.fi
Subject: Re: update multiarch patch
Date: Mon, 5 Sep 2011 12:01:47 +0300
On Sun, Sep 04, 2011 at 02:10:43PM +0200, gregory hainaut wrote:
> There is a minor issue with the previous multiarch patch.
> *** DPKG log
> dpkg: error
> processing /var/cache/apt/archives/libbz2-1.0_1.0.5-7_i386.deb
> (--unpack): './usr/share/doc/libbz2-1.0/changelog.gz' is different from
> the same file on the system
> **** 

> So at least gzip command inside rule file must be updated.

Basicly, gzip -> gzip -n in all of debian/rules

that, or migrating to debhelper where dh_compress handles it automatically.

Riku




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 12 Oct 2011 07:33:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:57:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.